Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665972 - net-firewall/nufw: Validate DEPEND on virtual/mysql
Summary: net-firewall/nufw: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Netmon project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:33 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:33:26 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Jeroen Roovers (RETIRED) gentoo-dev 2019-08-19 11:24:29 UTC
(In reply to Brian Evans from comment #0)
> If this package (optionally) depends on libmysqlclient.so* or mysql_config
> for
> building, you will need to have dev-db/mysql-connector-c as the
> DEPEND/RDEPEND.

Not virtual/libmysqlclient?

Looks like dev-db/mysql-connector-c installs a library whereas virtual/libmysqlclient pulls in either a server with client library or just a client library.
Comment 2 Brian Evans Gentoo Infrastructure gentoo-dev 2019-08-19 12:25:26 UTC
(In reply to Jeroen Roovers from comment #1)
> (In reply to Brian Evans from comment #0)
> > If this package (optionally) depends on libmysqlclient.so* or mysql_config
> > for
> > building, you will need to have dev-db/mysql-connector-c as the
> > DEPEND/RDEPEND.
> 
> Not virtual/libmysqlclient?
> 
> Looks like dev-db/mysql-connector-c installs a library whereas
> virtual/libmysqlclient pulls in either a server with client library or just
> a client library.

Yes that is correct.  virtual/libmysqlclient is to be phased out as virtuals cannot adequately provide the necessary rebuild or XOR of providers.  The same reason why we don't have virtual/ffmpeg for libs any longer
Comment 3 Larry the Git Cow gentoo-dev 2019-08-19 13:33:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=098864476704c85250ad6f6231e87a3b4b2ece3d

commit 098864476704c85250ad6f6231e87a3b4b2ece3d
Author:     Jeroen Roovers <jer@gentoo.org>
AuthorDate: 2019-08-19 13:29:48 +0000
Commit:     Jeroen Roovers <jer@gentoo.org>
CommitDate: 2019-08-19 13:33:16 +0000

    net-firewall/nufw: Depend on dev-db/mysql-connector-c
    
    Package-Manager: Portage-2.3.71, Repoman-2.3.17
    Fixes: https://bugs.gentoo.org/show_bug.cgi?id=665972
    Signed-off-by: Jeroen Roovers <jer@gentoo.org>

 net-firewall/nufw/{nufw-2.2.22-r2.ebuild => nufw-2.2.22-r3.ebuild} | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)